import { type CompletionFunc } from '@pnpm/command';
import { type Config } from '@pnpm/config';
import { type OutdatedPackage } from '@pnpm/outdated';
import { type DependenciesField, type PackageManifest } from '@pnpm/types';
import { type OutdatedWithVersionDiff } from './utils';
export declare function rcOptionsTypes(): Record<string, unknown>;
export declare const cliOptionsTypes: () => Record<string, unknown>;
export declare const shorthands: Record<string, string>;
export declare const commandNames: string[];
export declare function help(): string;
export declare const completion: CompletionFunc;
export type OutdatedCommandOptions = {
    compatible?: boolean;
    long?: boolean;
    recursive?: boolean;
    format?: 'table' | 'list' | 'json';
    sortBy?: 'name';
} & Pick<Config, 'allProjects' | 'ca' | 'cacheDir' | 'catalogs' | 'cert' | 'dev' | 'dir' | 'engineStrict' | 'fetchRetries' | 'fetchRetryFactor' | 'fetchRetryMaxtimeout' | 'fetchRetryMintimeout' | 'fetchTimeout' | 'global' | 'httpProxy' | 'httpsProxy' | 'key' | 'localAddress' | 'lockfileDir' | 'networkConcurrency' | 'noProxy' | 'offline' | 'optional' | 'production' | 'rawConfig' | 'registries' | 'selectedProjectsGraph' | 'strictSsl' | 'tag' | 'userAgent' | 'updateConfig'> & Partial<Pick<Config, 'userConfig'>>;
export declare function handler(opts: OutdatedCommandOptions, params?: string[]): Promise<{
    output: string;
    exitCode: number;
}>;
export interface OutdatedPackageJSONOutput {
    current?: string;
    latest?: string;
    wanted: string;
    isDeprecated: boolean;
    dependencyType: DependenciesField;
    latestManifest?: PackageManifest;
}
export declare function getCellWidth(data: string[][], columnNumber: number, maxWidth: number): number;
export declare function toOutdatedWithVersionDiff<Pkg extends OutdatedPackage>(outdated: Pkg): Pkg & OutdatedWithVersionDiff;
export declare function renderPackageName({ belongsTo, packageName }: OutdatedPackage): string;
export declare function renderCurrent({ current, wanted }: OutdatedPackage): string;
export declare function renderLatest(outdatedPkg: OutdatedWithVersionDiff): string;
export declare function renderDetails({ latestManifest }: OutdatedPackage): string;
