"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_COMPARATORS = exports.NAME_COMPARATOR = void 0;
exports.sortBySemverChange = sortBySemverChange;
const NAME_COMPARATOR = (o1, o2) => o1.packageName.localeCompare(o2.packageName);
exports.NAME_COMPARATOR = NAME_COMPARATOR;
/**
 * Default comparators used as the argument to `ramda.sortWith()`.
 */
exports.DEFAULT_COMPARATORS = [
    sortBySemverChange,
    exports.NAME_COMPARATOR,
    (o1, o2) => (o1.current && o2.current) ? o1.current.localeCompare(o2.current) : 0, // eslint-disable-line @typescript-eslint/explicit-module-boundary-types
];
function sortBySemverChange(outdated1, outdated2) {
    return pkgPriority(outdated1) - pkgPriority(outdated2);
}
function pkgPriority(pkg) {
    switch (pkg.change) {
        case null: return 0;
        case 'fix': return 1;
        case 'feature': return 2;
        case 'breaking': return 3;
        default: return 4;
    }
}
//# sourceMappingURL=utils.js.map